Skip to main content
GET
/
v2
/
transactions
/
history
Historial de transacciones
curl --request GET \
  --url https://sandbox-rampa.mesadepagos.com/api/v2/transactions/history \
  --header 'Authorization: Bearer <token>'
{
  "transactions": [
    {
      "amountFiat": 69.6,
      "amountCrypto": 10,
      "assetCode": "USDC",
      "fiatCode": "BOB",
      "exchangeRate": 6.96,
      "transactionId": "550e8400-e29b-41d4-a716-446655440000",
      "type": "deposit_express",
      "status": "completed_transaction",
      "createdAt": "2026-05-12T12:00:00.000Z",
      "updatedAt": "2026-05-12T12:00:00.000Z",
      "externalReference": "ORDER-1001"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 25,
    "totalPages": 3
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT obtenido desde /v2/auth/login

Query Parameters

type
enum<string>

Filtra por tipo de transaccion.

Available options:
deposit_express,
withdrawal_express,
withdrawal_ach,
deposit_crypto,
withdrawal_crypto,
prefunding
transactionStatus
enum<string>

Filtra por estado de transaccion.

Available options:
pending_transaction,
processing_transaction,
completed_transaction,
reject_transaction,
expired_transaction,
cancelled_transaction,
failed_transaction,
received_transaction
page
number

Pagina solicitada. Default: 1.

Example:

1

limit
number

Cantidad de registros por pagina. Default: 10.

Example:

10

fromDate
string

Fecha inicial del filtro.

Example:

"2026-05-01"

toDate
string

Fecha final del filtro.

Example:

"2026-05-12"

Texto de busqueda por referencia u otros campos soportados.

Example:

"ORDER-1001"

Response

Historial paginado.

transactions
object[]
required

Transacciones encontradas.

pagination
object
required

Datos de paginacion.